Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFredrik Kuivinen <frekui@gmail.com>2007-01-06 13:40:06 +0300
committerJunio C Hamano <junkio@cox.net>2007-01-06 21:44:59 +0300
commitf281e3a1c5948b7dbe2fb47731376506ba3c8c38 (patch)
tree5b993f96590da5090d2af3351afad0588c75ddf9 /git-instaweb.sh
parentcdc0873a78771926b18d9331e04f466ded1b98f2 (diff)
instaweb: Nicer error message when the http daemon isn't found
Signed-off-by: Fredrik Kuivinen <frekui@gmail.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-instaweb.sh')
-rwxr-xr-xgit-instaweb.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/git-instaweb.sh b/git-instaweb.sh
index 08362f43c0..80adc8307b 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -53,6 +53,9 @@ start_httpd () {
return
fi
done
+ echo "$httpd_only not found. Install $httpd_only or use" \
+ "--httpd to specify another http daemon."
+ exit 1
fi
if test $? != 0; then
echo "Could not execute http daemon $httpd."